with Xv_Base_Package,Xv_Frame_Package,Xv_Panel_Package,Xv_Font_Package;
use  Xv_Base_Package,Xv_Frame_Package,Xv_Panel_Package,Xv_Font_Package;

package Demo3_Frame_Package is
  type Demo3_Frame is new Xv_Frame with private;
  type Demo3_Frame_Ptr is access all Demo3_Frame;

  Rad1 : aliased String := "Item 1";
  Rad2 : aliased String := "Item 2";
  Rad3 : aliased String := "Item 3";

  private
    type Demo3_Frame is new Xv_Frame with
    record
       Panel_Ptr  : Xv_Panel_Ptr;
       Quit_Ptr   : Xv_Panel_Button_Ptr;
       List_Ptr   : Xv_Panel_List_Ptr;
       Mesg_Ptr   : Xv_Panel_Message_Ptr;
       Font_Ptr   : Xv_Font_Ptr;
       Some_Data  : Integer;
    end record;

    procedure Initialize (V : in out Demo3_Frame);
    procedure Finalize (V : in out Demo3_Frame);
    procedure Quit_Func(Item : Panel_Item;  Event : Integer);
end Demo3_Frame_Package;
